# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MToolBarSeparator

Packages that use MToolBarSeparator
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util

## Uses of MToolBarSeparator in org.eclipse.e4.ui.model.application.ui.menu

Methods in org.eclipse.e4.ui.model.application.ui.menu that return MToolBarSeparator
Modifier and Type
Method
Description
`MToolBarSeparator`
MMenuFactory.`createToolBarSeparator()`
Returns a new object of class 'Tool Bar Separator'.

## Uses of MToolBarSeparator in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MToolBarSeparator
Modifier and Type
Class
Description
`class`
`ToolBarSeparatorImpl`
An implementation of the model object 'Tool Bar Separator'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MToolBarSeparator
Modifier and Type
Method
Description
`MToolBarSeparator`
MenuFactoryImpl.`createToolBarSeparator()`

## Uses of MToolBarSeparator in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MToolBarSeparator
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseToolBarSeparator(MToolBarSeparator object)`
Returns the result of interpreting the object as an instance of 'Tool Bar Separator'.